判定プールは使用中です

Moses Skodaエンジニア読了目安 1分

この問題が発生すると、APIは409 Conflictを返します。typeはhttps://lingo.dev/docs/api/errors/decision-pool-in-useです。すべてのエラーに共通する形式については、エラーとステータスコードをご覧ください。

この判定プールに人によるレビューを振り分けているエンジン(<name>、表示できない2つのエンジン)があるため、アーカイブできません。まず、これらのエンジンのルートからこの判定プールを削除してください。

フィールド#

本文には、標準のtype、status、title、detailの各メンバーに加え、以下のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストを表示することもできます。

フィールド型
enginesobject[]
engines[].idstring
engines[].namestring
hiddenEnginesinteger

例#

json
{
  "detail": "The decision pool cannot be archived while engines route human review to it: <name>, 2 engines you cannot see. Remove it from their routes first.",
  "engines": [
    {
      "id": "<id>",
      "name": "<name>"
    }
  ],
  "hiddenEngines": 2,
  "type": "https://lingo.dev/docs/api/errors/decision-pool-in-use",
  "status": 409,
  "title": "Decision pool in use"
}

このエラーを返すエンドポイント#

  • POST /v2/organizations/{orgId}/decision-pools/{id}/archive